{% extends "base.html" %}

{% block title %}Frequently Asked Questions (FAQ){% endblock %}

{% block content %}
        <div>

	<header><h2>Frequently Asked Questions (FAQ)</h2></header>

        <header><h3>Wie kannst du mitmachen?</h3></header>
        <p>Melde dich einfach hier auf dieser Seite an, und bearbeite oben beim derzeitigen Tag die Aufgabe. Es gibt jeden Tag um ca. 6 Uhr morgens eine neue Aufgabe.</p>

        <p>Die Anmeldung erfolgt über das GitLab der Uni (GWDG). Als Studi hast du da automatisch einen Account.</p>


        <header><h3>Bei GWDG VPN anmelden</h3></header>
        <p>Aus Datenschutzgründen verwenden wir beim "Aufgabenstellung öffnen"-Button den WebVPN der GWDG.</p>

        <p>Falls du dich dort anmelden musst, kannst du das ohne Probleme mit deinen normalen studentischen Daten machen (gleiche wie bei E-Campus auch).
        Nachdem du dich bei dem VPN angemeldet hast, sollte der "Aufgabenstellung öffnen"-Button korrekt funktioniert. (Du musst den Button also nochmal hier auf der Seite drücken.)</p>


        <header><h3>Preise?</h3></header>
        <p>Dieser interne Wettbewerb wird von den Fachgruppen Informatik, Data Science, Mathematik und der Fachschaft Physik ausgerichtet.</p>
	<p class="alert warning">Dieses Jahr wird es leider keine Preise geben.</p>

		<!--<p>Es wird wieder einige kleine Preise geben für die Teilnehmer mit den meisten Punkten. In den <a href="{{ url_for('rules') }}">Spielregeln</a> kannst du nachlesen wie viele Punkte ihr für Abgaben erhaltet.</p>-->

        <!-- Als Preise gibt es Göttinger Geschenk-Gutscheine. Es werden 14 Gutscheine in Höhe von 5€ verlost. Außerdem gibt es für die Person mit den meisten gelösten Aufgaben einen Gutschein in Höhe von 10€. (Sollten das mehrere Personen sein, werden unter diesen Personen zwei 5€-Gutscheine verlost.) Es ist dabei nicht möglich, dass eine Person zwei Gutscheine erhält. -->

        <!-- Die Gewinner*innen werden ab 26. Dezember bekannt gegeben. -->


        <header><h3>Was ist AdventOfCode?</h3></header>
        <p>AdventOfCode ist ein Adventskalender mit Programmieraufgaben, der nun schon seit 2015 stattfindet. Die kleinen Programmierrätsel sind für verschiedene Fähigkeiten und Niveaus, die in jeder beliebigen Programmiersprache gelöst werden können. Die Leute nutzen sie als Schnelligkeitswettbewerb, zur Vorbereitung auf Vorstellungsgespräche, für Firmenschulungen, als Universitätskurse, einfach als Übung oder um sich gegenseitig herauszufordern.</p>

        <p>Jeder User bekommt ein persönliches Rätsel und lädt sich dieses runter. Auf dem eigenen Rechner schreibt man dann ein Programm, welches das löst und die Lösung kann dann wieder auf der Webseite hochgeladen werden. Für dieses interne Leaderboard wird ein gesondertes Puzzle für alle genutzt.</p>

	<p class="alert info">Diese Adventskalenderseite nutzt intern <a href="https://adventofcode.com/">AdventOfCode</a>.<br>
		Wir haben keinerlei Assoziationen mit den Betreibern der AdventOfCode-Website.
	</p>


        <header><h3>Und sonst?</h3></header>
        <p>Tritt gerne unserer <a href="https://matrix.to/#/#aoc:chat.uni-goettingen.de">Matrix</a>- oder <a href="https://t.me/+2ouBrvP5YBQ5ZDcy">Telegram</a>-Gruppe (beide miteinander gebridged) bei um dich über die Rätsel auszutauschen.
		<!--Alternativ gibt es auch einen <a href="https://chat.gwdg.de/invite/mGfk3E">RocketChat-Channel</a>.-->
		</p>

        <p>Wenn dir die Rätsel vom AdventOfCode Spaß machen, dann sind Programmierwettbewerbe vielleicht etwas für dich.
		<!--Am 27. Januar findet der deutschlandweite <a href="https://wintercontest.io/">Wintercontest</a> statt. Wenn du daran Interesse hast, tritt dem <a href="https://chat.gwdg.de/invite/ZaaBL7">RocketChat</a> bei. -->
		Schaue dich gerne auf der <a href="https://fsr.math-cs.uni-goettingen.de/de/veranstaltungen/programmierwettbewerbe.html">Webseite unserer Gruppe für Competitive Programming</a> nach Informationen zu weiteren Veranstaltungen um.</p>

        <p>Für weitere Events der Fachgruppe Informatik besuche die <a href="https://fg.informatik.uni-goettingen.de/">Webseite der Fachgruppe</a>.</p>

        </div>

{% endblock %}
